# $Id: smeserver-dirty-tools.spec,v 1.8 2009/01/29 13:58:10 mweinber Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: A collection of "dirty" scripts for the experienced administrator
%define realname smeserver-dirty-tools
Name: %{realname}
%define version 0.0.9
Version: %{version}
%define release 3
Release: %{release}%{?dist}
License: GNU GPL (GNU General Public License)
Group: Administration
Source: %{realname}-%{version}.tar.gz
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7
Requires: perl-esmith-PasswordTools
Patch0: smeserver-dirty-tools-0.0.9-bug_4001.patch
Patch1: smeserver-dirty-tools-0.0.9-usePasswordTools.patch
Patch2: smeserver-dirty-tools-0.0.9-ldap.patch
AutoReq: no

%description
See http://wiki.contribs.org/Dirty_Tools for full documentation


%changelog
* Thu Jan 29 2009 Michael Weinberger 0.0.9-3
  Bug 4962 fix
* Sat Mar 01 2008 Michael Weinberger 0.0.9-2
  use perl-esmith-PasswordTools 
* Sat Mar 01 2008 Michael Weinberger 0.0.9-1
  Bug 4001 fix
* Tue Sep 11 2007 Michael Weinberger
  Version 0.0.9
  dt-data-copy
* Wed Aug 22 2007 Michael Weinberger
  Version 0.0.8
  fixed dt-passowrds-sync: PasswordSet prop for ibays
* Tue Aug 21 2007 Michael Weinberger
  Version 0.0.7
  fixed dt-passowrds-sync: smbpasswd-sync: also sync flags and lct. 
  fixed dt-lock-account: dont unlock (new) account without a password set: Print a error.
  Set PasswordSet property onyl if both shadow password and smb password are set
* Sun Aug 19 2007 Michael Weinberger
  Version 0.0.6
  dt-lock-account
* Thu Aug 16 2007 Michael Weinberger
  Version 0.0.5
  dt-pw-generate
* Sun Aug 12 2007 Michael Weinberger
  Version 0.0.4
  dt-dovecot-indexfiles-delete added
  dt-datasync renamed to dt-data-sync
* Fri Aug 10 2007 Michael Weinberger
  Schleife in dt-password-sync mit 0 beginnen
* Wed Aug 01 2007 Michael Weinberger
- initial release 0.0.1

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/sbin/e-smith/@%attr(0750,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
